ENOSYS(1)

NAME
enosys - utility make syscalls fail with ENOSYS

SYNOPSIS

enosys [--syscall|-s syscall] command

DESCRIPTION

enosys is a simple command to execute a child process for which certain syscalls fail with errno ENOSYS.

It can be used to test the behavior of applications in the face of missing syscalls as would happen when running on old kernels.

OPTIONS

-s, --syscall
    Syscall to block. Can be specified multiple times.

-i, --ioctl
    Ioctl to block. Can be specified multiple times.

-l, --list
    List syscalls known to enosys.

-m, --list-ioctl
    List ioctls known to enosys.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

EXIT STATUS

enosys exits with the status code of the executed process. The following values have special meanings:

1
    internal error

2
    system does not provide the necessary functionality

AUTHORS

SEE ALSO

syscall(2)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The enosys command is part of the util-linux package which can be downloaded from